/********************************************************************

Project: saphForm - http://www.saphFormee.org
Launched: 
Version: 3.1
Authors: Bernard De Luna - http://www.bernarddeluna.com
         Daniel Araujo - http://www.dnlaraujo.com.br
		 Marcello Manso - http://www.marcellomanso.com.br

********************************************************************
Structure
********************************************************************/
/* Little CSS Reset to preserv form structure */
/* fix  ff bugs */
.saphForm:after,
.saphForm div:after,
.saphForm ol:after,
.saphForm ul:after,
.saphForm li:after,
.saphForm dl:after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  height: 0;
  overflow: hidden;
}
/* Form Structure */
/* JC - Alteração
.saphForm {margin:0;padding:0;}
.saphForm fieldset {
	border: 1px solid #d4d4d4;
	position: relative;
	height:100%;
	padding: 1.2em 0;
	margin: 0 0 4em;
}

.saphForm legend {
	margin-left:1%;
	margin-right:1%;
	padding: 0.5% 0.5% 0.8%;
}
.saphForm h3 {
	margin:2em 1% .8%;
	padding: 0.5% 0.5% 0.8%;
}
 */
/* Field saphGrid */
.saphGrid-1-12,
.saphGrid-2-12,
.saphGrid-3-12,
.saphGrid-4-12,
.saphGrid-5-12,
.saphGrid-6-12,
.saphGrid-7-12,
.saphGrid-8-12,
.saphGrid-9-12,
.saphGrid-10-12,
.saphGrid-11-12,
.saphGrid-12-12 {
  display: inline-block;
  position: relative;
  float: left;
  margin-left: 1%;
  margin-right: 1%;
  padding: 0.8% 0.5% 1%;
  height: 100%;
  /*ie7*/
  *margin-left: .8%;
  *margin-right: .8%;
  *padding: 0.8% 0.25% 2%;
}
.saphGrid-1-12.gOff,
.saphGrid-2-12.gOff,
.saphGrid-3-12.gOff,
.saphGrid-4-12.gOff,
.saphGrid-5-12.gOff,
.saphGrid-6-12.gOff,
.saphGrid-7-12.gOff,
.saphGrid-8-12.gOff,
.saphGrid-9-12.gOff,
.saphGrid-10-12.gOff,
.saphGrid-11-12.gOff,
.saphGrid-12-12.gOff {
  display: none;
}
/* 12-column saphGrid (thanks for Fluid 960 saphGrid System) */
.saphGrid-1-12 {
  width: 5.333%;
}
.saphGrid-2-12 {
  width: 13.666%;
}
.saphGrid-3-12 {
  width: 22%;
}
.saphGrid-3-12.adv-s-style {
  min-height: 39px;
}
.saphGrid-3-12.adv-s-style span {
  padding-top: 19px;
}
.saphGrid-3-12.max-selection {
  margin-right: 0;
  border-bottom: 2px solid #d4d4d4;
}
.saphGrid-3-12.max-selection.comment-fix {
  margin-left: -5px;
}
.saphGrid-4-12 {
  width: 30.333%;
}
.saphGrid-5-12 {
  width: 38.666%;
}
.saphGrid-6-12 {
  width: 47%;
}
.saphGrid-6-12.gOffHack {
  display: none;
}
.saphGrid-7-12 {
  width: 55.333%;
}
.saphGrid-8-12 {
  width: 63.666%;
}
.saphGrid-9-12 {
  width: 72%;
}
.saphGrid-10-12 {
  width: 80.333%;
}
.saphGrid-11-12 {
  width: 88.666%;
}
.saphGrid-12-12 {
  width: 97%;
}
.saphGrid-12-12.gOffHack {
  display: none;
}
.saphGrid-12-12.extra-top-space {
  margin-top: 10px;
}
/* first item */
.saphForm .alpha {
  margin-left: 0;
}
/* last item */
.saphForm .omega {
  margin-right: 0;
}
/* clear */
.saphForm .clear {
  clear: both;
}
/* input without label */
.saphForm-no-lbl {
  position: relative;
  padding-bottom: 0;
}
/* input without label */
.saphForm-no-lbl input,
.saphForm-no-lbl label,
.saphForm-no-lbl span,
.saphForm-no-lbl ul,
.saphForm-no-lbl p {
  position: absolute;
  bottom: 0;
}
/* multiple containers inside field-saphGrid */
.saphForm .left {
  clear: none;
  float: left !important;
  margin-right: 0.3em !important;
}
.saphForm .right {
  clear: none;
  float: right !important;
  margin-left: 0.3em !important;
}
/* form elements  */
.saphForm-lbl,
.saphForm label {
  display: block;
  height: auto;
  margin: 0 6px 3px 6px;
  /* JC - Alteração */
}
/*.saphForm INPUT[type="file"],*/
.elementSelectWithCheck A.aSwitch,
.saphForm .saphForm-txt,
.saphForm INPUT[type="text"],
.saphForm INPUT[type="number"],
.saphForm INPUT[type="password"],
.saphForm TEXTAREA,
.saphForm SELECT {
  vertical-align: middle;
  width: 100%;
  height: 24px;
  min-height: 0;
  /* ie7 - PICK A BOO BUG */
  zoom: 100%;
  /* ie9 - PICK A BOO BUG */
  padding: 2px 5px;
  /* JC - Alteração */
  border-style: solid;
  border-width: 1px;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  /*ie7*/
  *width: 99%;
}
.saphForm TEXTAREA {
  height: 6.85em;
}
.saphForm SELECT {
  padding: 2px 5px;
  height: 24px;
  margin-top: 0;
}
.saphForm-list .saphForm-lbl,
.saphForm-list label {
  display: inline;
  margin: 0.5em 0 0.8em 2px;
}
.saphForm-req {
  position: relative;
  top: 3px;
}
/* JC - Alteração 
.saphForm-msg-info, .saphForm-msg-warning, .saphForm-msg-error, .saphForm-msg-success {
	padding:20px 20px 15px 38px;
	border: 1px solid #ccc;
	display: block;
	height: auto;
	margin: 0 1.5% 0.8em;
	clear:both;
}
.saphForm-msg-info li, .saphForm-msg-warning li, .saphForm-msg-error li, .saphForm-msg-success li {
	list-style: none;
	padding:0;	
	margin-bottom: .4%;
	font-size:1.4em;
	line-height:1.1em;
	vertical-align: top;
}
*/
/* form button  */
.saphForm-button,
.saphForm input[type="submit"],
.saphForm input[type="button"],
.saphForm input[type="reset"] {
  padding: 5px 10px;
  /* JC - Alteração */
  cursor: pointer;
  text-align: center;
  display: inline-block;
  border: 1px solid #365D91;
}
/* lista de chk e rdo */
.saphForm-list {
  height: 100%;
  list-style: none;
  padding: 0;
  margin: 0;
}
.saphForm-list li,
.saphForm-list li {
  margin: 0.5em 0.6em 0.8em;
  float: left;
  display: inline-block;
  list-style: none;
}
.saphForm-list input {
  margin-right: 0.2em;
}
/* input size */
.saphForm-small {
  float: left;
  margin-right: 10px;
  display: inline;
  /*ie7*/
  *width: 25% !important;
}
.saphForm-medium {
  float: left;
  margin-right: 10px;
  display: inline;
  /*ie7*/
  *width: 45% !important;
}
